Display of NULL values of attributes of type INTEGER not correct when coming from WFS
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 26562

Description

NULL Values of attributes of type INT are incorrectly displayed as "0" instead of the representation for NULL values defined in the

Settings/Options Dialog.

http://go.geozug.ch/Zug_WFS_Baumkataster/service.svc/get?SERVICE=WFS&#38;VERSION=2.0.0&#38;REQUEST=DescribeFeatur

Type&#38;TYPENAME=Baumkataster_ZugType

History

#1 - 2018-05-31 12:03 PM - Even Rouault

- File snapshot_qgis3.1.png added

I can't reproduce with QGIS 3.1. The NULL values are properly displayed. See snapshot_qgis3.1.png

#2 - 2018-05-31 12:03 PM - Even Rouault

- Resolution set to worksforme

- Status changed from Open to Closed

#3 - 2018-11-22 02:51 PM - Frode Hansen

- File snip_20181122145131.png added

Using qgis 3.4.1, when displaying attributes of type INT via WFS 1.1.0, NULL values is displayed as "0". WFS does not transmit nodes with null values,

and qgis should not interpret these as "0". Reproduced both in qgis 2.18.25 (LTS) and 3.4.1  on different machines here.

Files

null_value_int.png 127 KB 2018-04-09 Manuel K

snapshot_qgis3.1.png 154 KB 2018-05-31 Even Rouault

snip_20181122145131.png 20.8 KB 2018-11-22 Frode Hansen

2025-04-26 1/1

http://go.geozug.ch/Zug_WFS_Baumkataster/service.svc/get?SERVICE=WFS&#38;VERSION=2.0.0&#38;REQUEST=DescribeFeatureType&#38;TYPENAME=Baumkataster_ZugType
http://go.geozug.ch/Zug_WFS_Baumkataster/service.svc/get?SERVICE=WFS&#38;VERSION=2.0.0&#38;REQUEST=DescribeFeatureType&#38;TYPENAME=Baumkataster_ZugType

